@echo off
REM
REM  This batch builds the Beck C-Libraries
REM
REM   Important Environment Variables:
REM
REM      BCPATH -  Path to Borland compiler area 
REM          or
REM      PC_BECKPATH -  Path to Paradigm Beck Edition compiler area 
REM
REM           (See usage in ..\COMMON\COMMON.INC)
REM
REM            
REM 
     
REM set CLIB Version
set CLIBVERSION=206

REM Select Paradigm Beck Edition compiler by setting the
REM USE_PARADIGM environment variable to non-whitespace.
REM set USE_PARADIGM=YES
set USE_PARADIGM=YES


REM Accumulate all results in SUMMARY.LST
set SUMMARY=..\build\SUMMARY.LST

del /Q %SUMMARY%
echo Build Start Time > %SUMMARY%
time /T >> %SUMMARY%


REM
REM  Builds All C Libraries
REM
cd ..\BIOS
echo Building BIOS Library
call ..\build\build_lib.bat

cd ..\CAN
echo Building CAN Library
call ..\build\build_lib.bat

cd ..\CGI
echo Building CGI Library
call ..\build\build_lib.bat

cd ..\EXTDISK
echo Building EXTDISK Library
call ..\build\build_lib.bat

cd ..\FOSSIL
echo Building FOSSIL Library
call ..\build\build_lib.bat

cd ..\HELPER
echo Building HELPER Library
call ..\build\build_lib.bat

cd ..\HW
echo Building HW Library
call ..\build\build_lib.bat

cd ..\I2C
echo Building I2C Library
call ..\build\build_lib.bat

cd ..\PKTDRV
echo Building PKTDRV Library
call ..\build\build_lib.bat

cd ..\RTX
echo Building RTX Library
call ..\build\build_lib.bat

cd ..\SPI
echo Building SPI Library
call ..\build\build_lib.bat

cd ..\TCPIP
echo Building TCPIP Library
call ..\build\build_lib.bat

cd ..\USB
echo Building USB Library
call ..\build\build_lib.bat


cd ..\BUILD

echo Build End Time >> %SUMMARY%
time /T >> %SUMMARY%

grep -i warn  %SUMMARY%
grep -i error %SUMMARY%

REM
REM  Merge all created lib files now (one specific for
REM  every memory model)
REM
echo Merging Libraries
BPOOL

REM Erase our additions to the environment
set USE_PARADIGM=
set SUMMARY=
